Subject: bug#59183: 29.0.50; emacs_abort () at sysdep.c:2313

From: Kenny Ballou <[email-masked]>
Date: Wed, 25 Jan 2023 10:17:42 -0700

On 2023-01-24 15:15 -05, Stefan Monnier wrote:
>>> I just pushed to `master` a new code for ITREE_FOREACH which is reentrant.
>> I've applied the patch proposed in this thread (from the mainline 29a8a1885d9
>
> I don't see any patch proposed in "this thread" so I don't know what
> you mean.

My apologies.  I missed the CC to the list and I should have provided
actual links to the patches/commits.  I'm currently running from this
commit 29a8a1885d9[0] (see here[1] for more details of the environment),
which should include the patch[2] you mentioned in this thread[3].

>
>> (CC Mode: Don't do c-backward-syntactic-ws following a forward movement,
>> 2023-01-23)).  I was unable to crash Emacs immediately as before this patch.
>> However, I was still, by chance, able to cause a related crash:
>>
>> 2023-01-23 19:35:22 Detected nested iteration!
>> 2023-01-23 19:35:22 Outer: textprop.c:647
>> 2023-01-23 19:35:22 Inner: buffer.c:2982
>
> The nested-iteration code has been removed a while back after
> I installed a patch which fixed this bug#59183 so as to allow nesting,
> so I think you're either using some old code or some old patch applied
> to the new code.

Is it possible this could be caused by third-party packages?

[0]: https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=29a8a1885d9f4825190d2575849f7605b3d6dffb

[1]: https://git.sr.ht/~kennyballou/dotfiles.git/tree/master/item/kbg/services/emacs.scm#L15

[2]: https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=fb7f1864da4aa4c09756cfe47db6c56b4e87bd14

[3]: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=59183